--- title: "getFabricClusterList" slug: "compute-vserver-fabriccluster-getfabricclusterlist" updated: 2026-09-17T10:06:00Z published: 2026-09-17T10:06:00Z canonical: "api.ncloud-docs.com/compute-vserver-fabriccluster-getfabricclusterlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getFabricClusterList Available in VPC Get the list of Fabric clusters. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/getFabricClusterList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default). | | `fabricClusterPoolNo` | String | Optional | Filter by Fabric cluster pool number. - See [getFabricClusterPoolList](/docs/en/compute-vserver-fabriccluster-getfabricclusterpoollist). | | `fabricClusterPoolName` | String | Optional | Filter by Fabric cluster pool name. | | `fabricClusterNoList.N` | Array | Optional | Fabric cluster number list - Filter by Fabric cluster number. - See [getFabricClusterList](/docs/en/compute-vserver-fabriccluster-getfabricclusterlist). - Example: `fabricClusterNoList.1=123&fabricClusterNoList.2=124` | | `fabricClusterName` | String | Optional | Filter by Fabric cluster name. | | `zoneCode` | String | Optional | Filter by zone code. - See [getZoneList](/docs/en/compute-vserver-server-common-getzonelist). | | `vpcNo` | String | Optional | Filter by the VPC number. - See [getVpcList](/docs/en/networking-vpc-vpcmanagement-getvpclist). | | `serverInstanceNo` | String | Optional | Filter by the server instance number. - See [getServerInstanceList](/docs/en/compute-vserver-server-getserverinstancelist). | | `pageNo` | Integer | Optional | Page number - 0-N (default: 0) - First page: Enter `0` or `1`. | | `pageSize` | Integer | Conditional | Number of items per page - 1-1000 - Required when entering `pageNo` | | `sortedBy` | String | Optional | Sort by - `fabricClusterNo` \| `fabricClusterPoolCode` \| `zoneCode` - `fabricClusterNo`: Fabric cluster number - `fabricClusterPoolCode`: Fabric cluster pool code - `zoneCode`: Zone code | | `sortingOrder` | String | Optional | Sort order - `ASC` (default) \| `DESC` - `ASC`: Ascending order - `DESC`: Descending order | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/getFabricClusterList ?regionCode=KR &zoneCode=KR-1 &vpcNo=***84 &fabricClusterNoList.1=13** &pageNo=1 &pageSize=10 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getFabricClusterListResponse` | Object | - | Response result - See [FabricClusterList](/docs/en/common-vapidatatype-fabricclusterlist). | | `getFabricClusterListResponse.requestId` | String | - | ID for the request - UUID format | | `getFabricClusterListResponse.returnCode` | String | - | Response code | | `getFabricClusterListResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the HTTP status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getFabricClusterListResponse": { "totalRows": 1, "fabricClusterList": [ { "fabricClusterNo": "13**", "fabricClusterName": "test-***", "fabricClusterStatus": { "code": "RUN", "codeName": "In operation" }, "regionCode": "KR", "zoneCode": "KR-1", "vpcNo": "***84", "fabricClusterPoolNo": "***01", "fabricClusterPoolName": "test-***", "fabricClusterPoolCode": "test-***", "createDate": "2025-12-12T13:36:17+0900", "serverCount": 5 } ], "requestId": "9b0ed68f-b044-4fd8-b138-22397fba64df", "returnCode": "0", "returnMessage": "success" } } ```